View Issue Details

IDProjectCategoryView StatusLast Update
0016054mantisbtbugtrackerpublic2017-05-28 08:12
Reporterdregad Assigned To 
PrioritynormalSeveritytweakReproducibilityN/A
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0016054: Refactoring the notion of "fixed issue"
Description

Currently, an issue is considered as "fixed" if its resolution code is >= $g_bug_resolution_fixed_threshold and < $g_bug_resolution_not_fixed_threshold

Considering the way the resolution enum is currently defined, it leaves 'reopened' status in a kind of weird state as it's considered fixed by the above definition.

Additional Information

As suggested by atrol in 0015653:0037182, the 2 thresholds config could be replaced by a new one, an array of resolutions to be considered as "fixed".

TagsNo tags attached.

Relationships

has duplicate 0022826 closeddregad How working suspended resolution? 
related to 0015653 closeddregad APPLICATION ERROR 1303 when trying to reopen an issue 
related to 0009139 new resolution values dont depend on status values. they should 

Activities

dregad

dregad

2013-06-13 12:41

developer   ~0037185

Must be careful with bug_actiongroup_page.php and bug_change_status_page.php, as these rely on $g_bug_resolution_fixed_threshold not as a threshold, but as a default value for the selection list.

Must find a way to define that default (maybe using the array's 1st element).

atrol

atrol

2013-06-17 05:44

developer   ~0037213

maybe using the array's 1st element

Was also my 1st thought, but having also an UI for the configuration would mean that you have to offer an option for reordering the values.

So maybe something like $g_bug_default_resolution_fixed is easier to implement.

cproensa

cproensa

2016-11-29 17:47

developer   ~0054638

To add to this issue:

Is it correct to have "resolution" values that represent a non-resolution?
If this field was kept only for relevant values of resolution (as concept), then "open" is the absence of resolution.
If so, is "reopened" actually adding anything useful to the resolution semantics?

Note "bug_resolved_status_threshold":
There are some checks of which values of resolution are allowed in that status (0015653)
With the previous definition: this condition is "resolved status must have a not empty resolution"... similar to a custom field "require on resolve"

Issue History

Date Modified Username Field Change
2013-06-13 12:32 dregad New Issue
2013-06-13 12:33 dregad Relationship added related to 0015653
2013-06-13 12:41 dregad Note Added: 0037185
2013-06-17 05:44 atrol Note Added: 0037213
2016-11-29 17:47 cproensa Note Added: 0054638
2017-05-28 08:12 dregad Relationship added has duplicate 0022826
2017-05-28 08:12 dregad Relationship added related to 0009139